%define anolis_release 5
%bcond_without  python3
%bcond_without  python3_tests
%global pypi_name pid

Name:           python-%{pypi_name}
Version:        3.0.4
Release:        %{anolis_release}%{?dist}
Summary:        PID file management library

License:        ASL 2.0
URL:            https://github.com/trbs/pid
Source0:        %pypi_source

BuildArch:      noarch

%description
pid provides a PidFile class that manages PID files. PidFile features:
  - stale detection
  - locking using fcntl
  - chmod (default is 0o644)
  - chown
  - custom exceptions
PidFile can also be used as a context manager or a decorator.

%if %{with python3}
%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
%if %{with python3_tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
pid provides a PidFile class that manages PID files. PidFile features:
  - stale detection
  - locking using fcntl
  - chmod (default is 0o644)
  - chown
  - custom exceptions
PidFile can also be used as a context manager or a decorator.

%package -n     python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        doc files for python%{python3_pkgversion}-%{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
The python%{python3_pkgversion}-%{pypi_name}-doc package contains documentation files for %{name}.

%endif

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%if %{with python3}
%pyproject_wheel
%endif

%install
%if %{with python3}
%pyproject_install
%endif

%check
%if %{with python3_tests}
%pytest
%endif

%if %{with python3}
%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc AUTHORS CHANGELOG README.rst

%changelog
* Tue May 14 2024 Bo Ren <rb01097748@alibaba-inc.com> - 3.0.4-5
- update source

* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.0.4-4
- Rebuild with python3.11

* Sat Apr 08 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 3.0.4-3
- Optimize the spec file

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.0.4-2
- optimise dependency

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.0.4-1
- init from upstream
